Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155494 - x86info isn't installed on x86-64
Summary: x86info isn't installed on x86-64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jarod Wilson
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 20:34 UTC by Lev Makhlis
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0763
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-15 15:59:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0763 normal SHIPPED_LIVE kernel-utils bug fix and enhancement update 2007-11-14 16:58:14 UTC

Description Lev Makhlis 2005-04-20 20:34:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
x86info isn't included in the package for x86-64

Version-Release number of selected component (if applicable):
kernel-utils-2.4-13.1.48

How reproducible:
Always

Steps to Reproduce:
x86info

Actual Results:  x86info: command not found

Expected Results:  Same info as when 32-bit OS is installed on that CPU

Additional info:

The i386 binary works just fine if copied over (modulo the udev problem described in #155491).

Comment 1 Dave Jones 2005-09-23 21:50:38 UTC
getting it building native on x86-64 requires a few non-trivial changes, so I
recommend just using the i386 binary for rhel4.

Reassigning to comps.


Comment 5 RHEL Product and Program Management 2007-05-09 11:22:23 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Jarod Wilson 2007-06-14 19:45:45 UTC
I've updated x86info to upstream version 1.20, which adds support for a good
number of newer processors, as well as support for building/running on x86_64.
Featured in kernel-utils-2.4-13.1.104.

Comment 11 errata-xmlrpc 2007-11-15 15:59:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0763.html



Note You need to log in before you can comment on or make changes to this bug.